# The SALAMI dataset

This dataset is the result of a study in which 250 images of manuscript 
regions were rated for legibility by 20 participants.

The dataset consists of three sets of corresponding images, 
which are contained in separate folders:
* source images: ```/input/```
* mean legibility score maps: ```/mean score maps/```
* standard deviation maps: ```/std_maps/```

The image files contained in these folders follow the naming convention 
```<region-id>_<variant-id>.png```. In the following, additional information 
on each of the image types is given. For further details, please refer to 
the conference paper: Brenner and Sablatnig, *Subjective Assessments of 
Legibility in Ancient Manuscript Images - The SALAMI Dataset* (2021).

### Source images
The source images are based on multispectral images of 50 manuscript regions. 
The regions were semi-randomly selected from ca. 4600 pages of 67 historical 
manuscripts, which the Computer Vision Lab (TU Wien) has imaged
between 2007 and 2019. "Semi-randomly" because the selected images were 
checked manually for the presence of a single layer of text in the image.

For each of the 50 selected regions, 5 variants were generated from the 
first 5 principal components of the multispectral layers. The dataset thus
contains 250 source images.

### Mean legibility score maps
In the study participants were required to label rectangular areas which they
thought to contain text, and rate those areas for legibility on a 5-point scale, 
where the scale is interpreted as follows:
* 1: 0-20% readable
* 2: 20-40% readable
* 3: 40-60% readable
* 4: 60-80% readable
* 5: 80-100% readable

Unlabeled areas (background) receive the score 0.

The mean legibility score maps represent the average assessment
rating over all participants. As the values are stored in 8-bit png images,
the original range ```[0, 5]``` is linearly mapped to ```[0, 255]```.

### Standard deviation maps
These images encode the pixel-wise standard deviation of scores assigned 
by the different participants. Here the range of possible standard deviations
**```[0, 2.5]```** is mapped to the 8-bit range ```[0, 255]```.

The standard deviation maps can be used in an application to exclude 
areas with high standard deviation, as this indicates low agreement between
participants and thus an unreliable mean legibility score. 